complexType "PaymentCalculationPeriod"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 2 attributes, 7 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
href | = | xsd:IDREF
| >
Content: | unadjustedPaymentDate?, adjustedPaymentDate?, (calculationPeriod+ | fixedPaymentAmount)?, discountFactor?, forecastPaymentAmount?, presentValueAmount?
</...>

Content Model Elements (7):

  adjustedPaymentDate (in paymentCalculationPeriod), calculationPeriod, discountFactor (in paymentCalculationPeriod), fixedPaymentAmount, | forecastPaymentAmount, presentValueAmount (in paymentCalculationPeriod), unadjustedPaymentDate

All Direct / Indirect Based Elements (1):

  paymentCalculationPeriod

Known Usage Locations

- As direct type of elements (1):
  paymentCalculationPeriod

Annotation
For use of pre-trade Credit Limit Check messages. A type defining the adjusted payment date and associated calculation period parameters required to calculate the actual or projected payment amount. This type forms part of the cashflow representation of a swap stream.
Type Definition Detail

Type Derivation Tree PaymentBase (extension) PaymentCalculationPeriod

XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="PaymentCalculationPeriod"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element minOccurs="0" name="unadjustedPaymentDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedPaymentDate" type="xsd:date"/> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" name="calculationPeriod" type="CalculationPeriod"/> <xsd:element name="fixedPaymentAmount" type="xsd:decimal"/> </xsd:choice> <xsd:element minOccurs="0" name="discountFactor" type="xsd:decimal"/> <xsd:element minOccurs="0" name="forecastPaymentAmount" type="Money"/> <xsd:element minOccurs="0" name="presentValueAmount" type="Money"/> </xsd:sequence> <xsd:attribute ecore:reference="PricingStructure" name="href" type="xsd:IDREF"/> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/2)
href

  Type: | xsd:IDREF, predefined
  Use: | optional

  Attribute that can be used to reference the yield curve used to estimate the discount factor.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:attribute ecore:reference="PricingStructure" name="href" type="xsd:IDREF"/>

Content Element Detail (all declarations; defined within this component only; 7/7)
adjustedPaymentDate

  Type: | xsd:date, predefined, simple content

  The adjusted payment date. This date should already be adjusted for any applicable business day convention. This component is not intended for use in trade confirmation but may be specified to allow the fee structure to also serve as a cashflow type component (all dates the Cashflows type are adjusted payment dates).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedPaymentDate" type="xsd:date"/>

calculationPeriod

  Type: | CalculationPeriod, complex content

  The parameters used in the calculation of a fixed or floating rate calculation period amount. A list of calculation period elements may be ordered in the document by ascending start date. An FpML document which contains an unordered list of calcularion periods is still regarded as a conformant document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="calculationPeriod" type="CalculationPeriod"/>

discountFactor

  Type: | xsd:decimal, predefined, simple content

  A decimal value representing the discount factor used to calculate the present value of cash flow.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="discountFactor" type="xsd:decimal"/>

fixedPaymentAmount

  Type: | xsd:decimal, predefined, simple content

  A known fixed payment amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fixedPaymentAmount" type="xsd:decimal"/>

forecastPaymentAmount

  Type: | Money, complex content

  A monetary amount representing the forecast of the future value of the payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="forecastPaymentAmount" type="Money"/>

presentValueAmount

  Type: | Money, complex content

  A monetary amount representing the present value of the forecast payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="presentValueAmount" type="Money"/>

unadjustedPaymentDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="unadjustedPaymentDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.